The file /etc/init.d/pulseaudio . How do can I recover the original file ?

Asked by articdisappearing on 2010-03-17

Binary package hint: pulseaudio

The file /etc/init.d/pulseaudio is filed with garbage resulting in an error at every upgrade. How do I recover the original file ?

See the summary; please let me know what to do>>I'm trying to learn!!

ProblemType: Package
Architecture: i386
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/dsp', '/dev/snd/midiC0D0', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D2p', '/dev/snd/midiC0D1', '/dev/snd/hwC0D2', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/pcmC0D1c', '/dev/snd/pcmC0D2c', '/dev/snd/pcmC0D3p', '/dev/snd/midiC0D2', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer', '/dev/sequencer2'] failed with exit code 1:
Card0.Amixer.info:
 Card hw:0 'Live'/'SB Live! [SB0105] (rev.7, serial:0x806b1102) at 0x1400, irq 18'
   Mixer name : 'SigmaTel STAC9708,11'
   Components : 'AC97a:83847608'
   Controls : 224
   Simple ctrls : 45
Date: Wed Mar 17 11:33:15 2010
DistroRelease: Ubuntu 9.10
ErrorMessage: subprocess installed post-installation script returned error exit status 127
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.19-0ubuntu4.1
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
SourcePackage: pulseaudio
Title: package pulseaudio 1:0.9.19-0ubuntu4.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 127
Uname: Linux 2.6.31-20-generic i686

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu pulseaudio Edit question
Assignee:
No assignee Edit question
Last query:
2010-03-17
Last reply:
2010-03-17
articdisappearing (enviropond) said : #1

Thanks for your report.

The relevant error is
---
Setting up pulseaudio (1:0.9.19-0ubuntu4.1) ...
update-rc.d: warning: /etc/init.d/pulseaudio missing LSB information
update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
/etc/init.d/pulseaudio: 1: so.1libxml2.so.2/usr/lib/libxml2.so.2libxklavier.so.15/usr/lib/libxklavier.so.15libxkbfile.so.1/usr/lib/libxkbfile.so.1libxine.so.1/usr/lib/libxine.so.1libxcb.so.1/usr/lib/libxcb.so.1libxcb-xv.so.0/usr/lib/libxcb-xv.so.0libxcb-shm.so.0/usr/lib/libxcb-shm.so.0libxcb-shape.so.0/usr/lib/libxcb-shape.so.0libxcb-render.so.0/usr/lib/libxcb-render.so.0libxcb-render-util.so.0/usr/lib/libxcb-render-util.so.0libxcb-event.so.1/usr/lib/libxcb-event.so.1libxcb-aux.so.0/usr/lib/libxcb-aux.so.0libxcb-atom.so.1/usr/lib/libxcb-atom.so.1libxapian.so.15/usr/lib/libxapian.so.15libwrap.so.0/lib/libwrap.so.0libwps-0.1.so.1/usr/lib/libwps-0.1.so.1libwps-stream-0.1.so.1/usr/lib/libwps-stream-0.1.so.1libwpg-0.1.so.1/usr/lib/libwpg-0.1.so.1libwpg-stream-0.1.so.1/usr/lib/libwpg-stream-0.1.so.1libwpd-0.8.so.8/usr/lib/libwpd-0.8.so.8libwnck-1.so.22/usr/lib/libwnck-1.so.22libwmflite-0.2.so.7/usr/lib/libwmflite-0.2.so.7libwmf-0.2.so.7/usr/lib/libwmf-0.2.so.7libwebkit-1.0.so.2/usr/lib/libwebkit-1.0.so.2libweather _ion.so.4/usr/lib/libweather_ion.so.4libwbclient.so.0/usr/lib/libwbclient.so.0libwavpack.so.1/usr/lib/libwavpack.so.1libv4l2.so.0/usr/lib/libv4l2.so.0libv4l1.so.0/usr/lib/libv4l1.so.0libv4lconvert.so.0/usr/lib/libv4lconvert.so.0libvte.so.9/usr/lib/libvte.so.9libvorbisfile.so.3/usr/lib/libvorbisfile.so.3libvorbisenc.so.2/usr/lib/libvorbisenc.so.2libvorbis.so.0/usr/lib/libvorbis.so.0libvisual-0.4.so.0/usr/lib/libvisual-0.4.so.0libuuid.so.1/lib/libuuid.so.1libutil.so.1/lib/tls/i686/cmov/libutil.so.1libutil.so.1/lib/libutil.so.1libutil.so/usr/lib/libutil.solibusplash.so.0/lib/libusplash.so.0libusb-0.1.so.4/lib/libusb-0.1.so.4libusb-0.1.so.4/usr/lib/libusb-0.1.so.4libuno_salhelpergcc3.so.3/usr/lib/libuno_salhelpergcc3.so.3libuno_sal.so.3/usr/lib/libuno_sal.so.3libuno_purpenvhelpergcc3.so.3/usr/lib/libuno_purpenvhelpergcc3.so.3libuno_cppuhelpergcc3.so.3/usr/lib/libuno_cppuhelpergcc3.so.3libuno_cppu.so.3/usr/lib/libuno_cppu.so.3libuniquewm-1.2.so.0/usr/lib/libuniquewm-1.2.so.0libunique-1.0.so.0/usr/lib/libunique-1. 0.so.0libulockmgr.so.1/lib/libulockmgr.so.1libudev.so.0/lib/libudev.so.0libtwolame.so.0/usr/lib/libtwolame.so.0lib: not found
invoke-rc.d: initscript pulseaudio, action "start" failed.
dpkg: error processing pulseaudio (--configure):
 subprocess installed post-installation script returned error exit status 127

It looks like /etc/init.d/pulseaudio is corrupted. This is the same issue you reported in bug 529463. It is not a bug with the package but with your system being corrupted. Could you please ask a support channel a support channel (#ubuntu or an ubuntu forum) how to recover from this error. Thanks

Thank you for taking the time to report this issue and helping to make Ubuntu better. Examining the information you have given us, this does not appear to be a bug report so we are closing it and converting it to a question in the support tracker. We appreciate the difficulties you are facing, but it would make more sense to raise problems you are having in the support tracker at https://answers.launchpad.net/ubuntu if you are uncertain if they are bugs. For help on reporting bugs, see https://help.ubuntu.com/community/ReportingBugs#When%20not%20to%20file%20a%20bug.

Here is my file from Lucid if it helps:

#!/bin/sh -e
### BEGIN INIT INFO
# Provides: pulseaudio esound
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Should-Start: udev NetworkManager
# Should-Stop: udev NetworkManager
# Default-Start: 2 3 4 5
# Default-Stop: 1
# Short-Description: Start the PulseAudio sound server
# Description: System mode startup script for
# the PulseAudio sound server.
### END INIT INFO

DAEMON=/usr/bin/pulseaudio
PIDDIR=/var/run/pulse
PIDFILE=$PIDDIR/pid
DAEMONUSER=pulse
PATH=/sbin:/bin:/usr/sbin:/usr/bin

test -x $DAEMON || exit 0

. /lib/lsb/init-functions

PULSEAUDIO_SYSTEM_START=0
DISALLOW_MODULE_LOADING=1
test -f /etc/default/pulseaudio && . /etc/default/pulseaudio
if [ "$PULSEAUDIO_SYSTEM_START" != "1" ]; then
 log_warning_msg "PulseAudio configured for per-user sessions"
 exit 0
fi

pulseaudio_start () {
 log_daemon_msg "Starting system PulseAudio Daemon"
 if [ ! -d $PIDDIR ]; then
  mkdir -p $PIDDIR
  chown $DAEMONUSER:$DAEMONUSER $PIDDIR
 fi
 start-stop-daemon -x $DAEMON -p $PIDFILE --start -- --system --daemonize --high-priority --log-target=syslog --disallow-module-loading=$DISALLOW_MODULE_LOADING
 status=$?
 if [ -e /var/run/pulse/.esd_auth ]; then
  chown pulse:pulse-access /var/run/pulse/.esd_auth
  chmod 640 /var/run/pulse/.esd_auth
 fi
 if [ -e /var/run/pulse/.pulse-cookie ]; then
  chown pulse:pulse-access /var/run/pulse/.pulse-cookie
  chmod 640 /var/run/pulse/.pulse-cookie
 fi
 log_end_msg ${status}
}

pulseaudio_stop () {
 log_daemon_msg "Stopping system PulseAudio Daemon"
 start-stop-daemon -p $PIDFILE --stop --retry 5 || echo -n "...which is not running"
 log_end_msg $?
}

case "$1" in
 start|stop)
  pulseaudio_${1}
  ;;
 restart|reload|force-reload)
  if [ -s $PIDFILE ] && kill -0 $(cat $PIDFILE) >/dev/null 2>&1; then
   pulseaudio_stop
   pulseaudio_start
  fi
  ;;
 force-stop)
  pulseaudio_stop
  killall pulseaudio || true
  sleep 2
  killall -9 pulseaudio || true
  ;;
 status)
  status_of_proc -p $PIDFILE "$DAEMON" "system-wide PulseAudio" && exit 0 || exit $?
  ;;
 *)
  echo "Usage: /etc/init.d/pulseaudio {start|stop|force-stop|restart|reload|force-reload|status}"
  exit 1
  ;;
esac

exit 0

You could always boot to a karmic live CD and copy the file from there too if the one I gave dowsnt work. Even though your file is bad, back it up

Can you help with this problem?

Provide an answer of your own, or ask articdisappearing for more information if necessary.

To post a message you must log in.